org.apache.lucene.search.vectorhighlight

## Class ScoreOrderFragmentsBuilder.ScoreComparator

- java.lang.Object
- - org.apache.lucene.search.vectorhighlight.ScoreOrderFragmentsBuilder.ScoreComparator

- All Implemented Interfaces:
    java.util.Comparator<FieldFragList.WeightedFragInfo>
  Enclosing class:
    ScoreOrderFragmentsBuilder

      public static class ScoreOrderFragmentsBuilder.ScoreComparator
      extends java.lang.Object
      implements java.util.Comparator<FieldFragList.WeightedFragInfo>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScoreComparator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(FieldFragList.WeightedFragInfo o1, FieldFragList.WeightedFragInfo o2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### ScoreComparator

          public ScoreComparator()

  - ### Method Detail

    - #### compare

          public int compare(FieldFragList.WeightedFragInfo o1,
                             FieldFragList.WeightedFragInfo o2)

      Specified by:
        `compare` in interface `java.util.Comparator<FieldFragList.WeightedFragInfo>`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.